features:
  secondary:
    - name: "Resolve Docker garbage collection issues for GitLab Container Registries hosted on Digital Ocean S3"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/administration/packages/container_registry.html#container-registry-garbage-collection'
      reporter: trizzi
      stage: package
      categories:
        - 'Container Registry'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/30325'
      description: |
        There is a known Docker issue where Ceph-based S3 drops all requests with absolute URI impacting the Docker garbage collection process. Since Digital Ocean uses Ceph, it prevents users from running garbage collection if they are using Digital Ocean S3 for storage. This results in higher storage costs for those users.

        In GitLab 12.8, we resolve this issue by updating the S3 driver for [Ceph](https://ceph.io/ceph-storage/) to support the latest version of the S3 API. This allows any organization using Digital Ocean for storage for their GitLab Container Registry to reliably run garbage collection and lower their cost of storage. 
